export default {
  name: 'Select',
  props: {
    options: {
      type: Object,
      default: () => {}
    },

    modelKey: {
      type: String,
      default: ''
    }
  },

  render() {
    const { options, modelKey } = this

    delete options.formOptions.value

    console.log(options, 'options...')

    return (
      <el-select
        props={options.formOptions}
        placeholder={options.formOptions.placeholder}
        vModel={options.models[modelKey]}
      />
    )
  }
}
