import { FzProForm } from './components/form'
import { FzProTable } from './components/table'
import { FzMenu } from './components/menu'
import { FzPagination } from './components/pagination'

const elmUiComponents = [FzProForm, FzProTable, FzMenu, FzPagination]

export const installer = (Vue) => {
  elmUiComponents.forEach((comp) => {
    Vue.component(comp.name, comp)
  })
}
